Geo Coder API
Introduction
Address geocoding, or simply geocoding, is the process of taking a text-based description of a location, such as an address or the name of a place, and returning geographic coordinates, frequently latitude/longitude pair, to identify a location on the Earth's surface. The Address Geocoder product takes address and returns back latitude / longitude and vice versa.
How to call the API
You will need to login before sending search request. You are required to pass the access token received from the login call, as authorization header in the Address Geocoder request.
API Input Guidelines
- Select type Task to be performed
- Address Geocoding
- Reverse Geocoding
- If task is Address Geocoding, input required is
- Address
- Latitude / Longitude if distance is required from the given address (Optional)
- If the task is Reverse Geocoding, input required is
- Latitude and Longitude
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/<Patron ID>/matchers' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"task": "geocode",
"essentials": {
"address": "<Address>",
"latitude": "<Latitude>",
"longitude": "<Longitude>"
}
}'Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
id | String | The access token that was received during login request. |
patronId | String | This parameter is returned as userId parameter of login request. |
task | String | Task-geocode responds with the latitude and longitude on any given location on earth surface |
result.address | String | Address for which geocoding needs to be done |
result.city | String | Name of the of the address provided |
result.state | String | State name |
result.stateCode | String | State code |
result.country | String | Name of the country for the address |
result.countryCode | String | Country code |
result.zipcode | String | Zip code for the address |
result.distanceInKms | String | Distance of the enquired latitude and logitude from the address provided |
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/<Patron ID>/matchers' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"task": "reversegeocode",
"essentials": {
"latitude": "23.6677504",
"longitude": "86.0670152"
}
}'Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
id | String | The access token that was received during login request. |
patronId | String | This parameter is returned as userId parameter of login request. |
task | String | Task-reversegeocode responds with the address on any given latitude and longitude on earth surface |
result.address | String | Address for which geocoding needs to be done |
result.latitude | String | latitude for which address is required |
result.longitude | String | logitude for which address is required |
result.city | String | Name of the city of the address provided |
result.state | String | State name |
result.stateCode | String | State code |
result.country | String | Name of the country for the address |
result.countryCode | String | Country code |
result.zipcode | String | Zip code for the address |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].